Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158159 - 2 * missing return statements
Summary: 2 * missing return statements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 09:20 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 18:47:21 UTC


Attachments (Terms of Use)

Description David Binderman 2005-05-19 09:20:46 UTC
Description of problem:

I just tried to compile package yelp-2.9.3-6 from Redhat
Fedora Core development tree with the most excellent Intel C
compiler.

The compiler said

1.

yelp-gecko-utils.cpp(211): warning #1011: missing return statement at end of
non-void function "yelp_gecko_copy_selection"

The source code is

extern "C" gboolean
yelp_gecko_copy_selection (GtkMozEmbed *embed)
{
        nsCOMPtr<nsIWebBrowser> webBrowser;
        gtk_moz_embed_get_nsIWebBrowser (embed, getter_AddRefs(webBrowser));

        nsCOMPtr<nsIClipboardCommands> clip (do_GetInterface(webBrowser));
        NS_ENSURE_TRUE (clip, NS_ERROR_FAILURE);

        clip->CopySelection();
}

Suggest add return statement to the end of the routine.

2.

yelp-gecko-utils.cpp(224): warning #1011: missing return statement at end of
non-void function "yelp_gecko_select_all"

Same thing again.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ray Strode [halfline] 2005-08-31 18:47:21 UTC
These problems don't seem to be an issue anymore. Closing...

Comment 2 David Binderman 2005-08-31 19:19:20 UTC
>These problems don't seem to be an issue anymore. 

Seek clarification.

Does this mean that you have checked the source code manually,
and can verify that these two problems no longer exist ?
 

Comment 3 Ray Strode [halfline] 2005-08-31 19:51:51 UTC
Yes.  Those functions don't exist anymore as far as I can see.


Note You need to log in before you can comment on or make changes to this bug.